Q4API Docs
Q4 APISign inGet API key
DocumentationAPI Reference
Overview
API reference
Companies
GETList companiesGETRetrieve a companyGETList sectors
Market data
GETRetrieve a quoteGETList quotesGETRetrieve price historyGETRetrieve index historyGETRetrieve market summaryGETList market moversGETList sector performanceGETList tradesGETRetrieve order book depth
WebSocket
WSQuotes streamWSTrades streamWSDepth stream
Fundamentals
GETRetrieve standardised statementsGETRetrieve as-reported statementsGETList figuresGETRetrieve ratiosGETCompare companiesGETList dividendsGETList corporate actionsGETList stock eventsGETSearch notes
Documents
GETList documentsGETRetrieve a documentGETList document pagesGETRetrieve document textGETRetrieve document summaryGETList notesGETRetrieve a noteGETList sectionsGETRetrieve a sectionGETSearch board report sections
Earnings calls
GETList earnings callsGETRetrieve an earnings callGETRetrieve a transcriptGETRetrieve call audio
Announcements
GETList announcementsGETRetrieve an announcement
Economic data
GETList seriesGETList observations
Webhooks & alerts
POSTCreate a webhookGETList webhooksDELDelete a webhookPOSTCreate an alert ruleGETList alert rulesDELDelete an alert rule
Account
GETRetrieve usage
Documents

Retrieve a document

GEThttps://api.q4.sa/v1/documents/{id}
Returns one document’s metadata and a signed link to the PDF.
Free

Authorization

x-api-keyheaderrequired
Your API key. See Authentication.

Path parameters

idstringrequired
Document ID, e.g. doc_7Hk2pQ.

Response

dataobject
The result.
idstring
Unique ID.
symbolstring
Tadawul symbol.
typestring
Type.
titlestring
Title.
languagestring
Language code.
fiscal_yearinteger
Fiscal year.
fiscal_periodstring
Fiscal period: FY, Q1–Q4, H1 or 9M.
published_atdatetime
When it was published on Tadawul.
pagesinteger
Page count.
file_urlstring
Signed PDF link, valid for one hour.
source_urlstring
Original page on the Saudi Exchange.

Errors

400, 401, 403, 404, 429. Every error has the same shape: see Errors.
← Previous
List documents
Next →
List document pages
Request
curl "https://api.q4.sa/v1/documents/doc_7Hk2pQ" \
  -H "x-api-key: $Q4_API_KEY"
Response
{
  "data": {
    "id": "doc_7Hk2pQ",
    "symbol": "1120",
    "type": "financial_report",
    "title": "Annual financial statements 2025",
    "language": "en",
    "fiscal_year": 2025,
    "fiscal_period": "FY",
    "published_at": "2026-02-18T05:31:00Z",
    "pages": 96,
    "file_url": "https://files.q4.sa/d/doc_7Hk2pQ.pdf?sig=…&exp=1762268400",
    "source_url": "https://www.saudiexchange.sa/…"
  }
}